
QGIS Application - Bug report #12288

Drag and Drop a layer from one QGIS instance to an other

2015-03-02 01:41 AM - Peter Drexel

Status: Open

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20467

Description

When I try to drag a layer from one QGIS instance to an other using Drag and Drop it shows up in the Layer-Tree but is not useable.

This did cause a crash (Minidump) in Versions 2.2 and earlier, but since 2.4 just "does not work".

Thanks

Peter

History

#1 - 2015-03-03 02:08 AM - Giovanni Manghi

- Operating System deleted (Windows 7)

- Subject changed from Drag and Drop a Layer from one QGIS-instance to an other to Drag and Drop a layer from one QGIS instance to an other

- Category set to Map Canvas

- OS version deleted (64 Bit)

- Affected QGIS version changed from 2.4.0 to master

under Linux the layer seems to be "moved" from one instance to the other, but the result does not seems right (nothing shows).

If is not supposed to work at all, then maybe is better to not allow such operation.

#2 - 2015-03-04 02:45 PM - Antonio Locandro

I think the intended behaviour is to drag a styled layer from another project to a new one, I would expect that but in turn it is moving the layer to another

project (removing it from the original) and in the new project it is blank making it useless.

#3 - 2015-03-05 04:43 PM - Giovanni Manghi

Antonio Locandro wrote:

I would expect that but in turn it is moving the layer to another project (removing it from the original) and in the new project it is blank making it

useless.

of course, this is why this ticket exist.

#4 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No
- Regression? set to No

#5 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#6 - 2019-03-11 08:49 AM - Peter Drexel

- Status changed from Closed to Reopened

Still not working in 3.6

#7 - 2019-03-11 08:53 AM - Peter Drexel

Peter Drexel wrote:

Still not working in 3.6

Sorry, I cannot change the Affected Version by myself...

#8 - 2019-03-11 11:36 AM - Giovanni Manghi

- Resolution deleted (end of life)

- Description updated

- Status changed from Reopened to Open

- Affected QGIS version changed from master to 3.6.0
